scala.Enumeration
class Set32

[source: `scala/Enumeration.scala`]

`` `class` Set32(`val` underlying : Int)
  `extends` SetXX

  An enumeration bit set that can handle enumeration values with ids up to 31 in an `Int`.

Additional Constructor Summary
`def` | this : Set32

Type Summary
`type` | TSet
`type` | Underlying either Int or Long

Method Summary
`def` | & (set : Set32) : Set32 Equivalent to `*` for bit sets. Returns a bit set that has all values that are both in `this` and `set`.
`def` | &~ (value : Value) : Set32 Equivalent to `-` for bit sets. Returns a bit set that has all values in `this` except for `value`.
`def` | contains (value : Value) : Boolean Checks if this set contains element `elem`.
`def` | underlyingAsLong : Long returns the underlying integer representation of this set as a long.
`def` | | (value : Value) : Set32 Equivalent to `+` for bit sets. Returns a set that has all values in `this` with the addition of `value`.
`def` | | (set : Set32) : Set32 Equivalent to `++` for bit sets. Returns a set that has all values in `this` and `set`.

Methods inherited from SetXX
-, +, ++, **, size, stringPrefix, elements, empty

Methods inherited from Set
+, ++, ++, incl, incl, -, --, --, excl, excl, intersect, **, map, flatMap, filter

Methods inherited from Set
apply, isEmpty, subsetOf, equals, hashCode, toArray

Methods inherited from Collection
toString

Methods inherited from Iterable
concat, ++, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, projection, hasDefiniteSize

Methods inherited from Function1
compose, andThen

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Additional Constructor Details

`` `def` this : Set32

Overrides
  SetXX.this

Type Details

`` `type` Underlying

  either Int or Long

`` `type` TSet

Method Details

`` `def` underlyingAsLong : Long

  returns the underlying integer representation of this set as a long.

Overrides
  SetXX.underlyingAsLong

`` `def` contains(value : Value) : Boolean

  Checks if this set contains element `elem`.

Parameters
  `elem -` the element to check for membership.
Returns
  `true` iff `elem` is contained in this set.

`` `def` |(set : Set32) : Set32

  Equivalent to `++` for bit sets. Returns a set that has all values in `this` and `set`.

Overrides
  SetXX.|

`` `def` |(value : Value) : Set32

  Equivalent to `+` for bit sets. Returns a set that has all values in `this` with the addition of `value`.

Overrides
  SetXX.|

`` `def` &~(value : Value) : Set32

  Equivalent to `-` for bit sets. Returns a bit set that has all values in `this` except for `value`.

Overrides
  SetXX.&~

`` `def` &(set : Set32) : Set32

  Equivalent to `*` for bit sets. Returns a bit set that has all values that are both in `this` and `set`.

Overrides
  SetXX.&